New Search

Use-after-free vulnerability in the nsIPresShell::GetPresContext function in the PresShell (aka presentation shell) implementation in Mozilla Firefox before 25.0 Firefox ESR 17.x before 17.0.10 and 24.x before 24.1 Thunderbird before 24.1 Thunderbird ESR 17.x before 17.0.10 and SeaMonkey before 2.22 allows remote attackers to execute arbitrary code or cause a denial of service (heap memory corruption and application crash) via vectors involving a CANVAS element a mozTextStyle attribute and an onresize event.

oval:org.mitre.oval:def:19315

Use-after-free vulnerability in the nsIPresShell::GetPresContext function in the PresShell (aka presentation shell) implementation in Mozilla Firefox before 25.0 Firefox ESR 17.x before 17.0.10 and 24.x before 24.1 Thunderbird before 24.1 Thunderbird ESR 17.x before 17.0.10 and SeaMonkey before 2.22 allows remote attackers to execute arbitrary code or cause a denial of service (heap memory corruption and application crash) via vectors involving a CANVAS element a mozTextStyle attribute and an onresize event.

Family:
windows
Status:
ACCEPTED
Platform(s):
  • Microsoft Windows 7
  • Microsoft Windows Vista
  • Microsoft Windows Server 2003
  • Microsoft Windows Server 2012
  • Microsoft Windows Server 2008
  • Microsoft Windows XP
  • Microsoft Windows 8
  • Microsoft Windows 2000
Class:
vulnerability
Reference(s):
  • CVE-2013-5599
Product(s):
  • Mozilla Firefox ESR
  • Mozilla Thunderbird ESR
  • Mozilla SeaMonkey
  • Mozilla Firefox
  • Mozilla Thunderbird